## Chat

A reusable chat component that manages text, timestamp, emojis and gifs.
Demo
Required Imports

Input and Output Properties

Type | Name | Description | default | Required
--- | --- | --- | --- | ---
Input | messages | The array of messages to be rendered in the chat interface. | [] | true
Input | includeTime | Specifies whether timestamps should be displayed alongside the messages. | false | false
Input | includeGifMessage | Determines if the GIF picker functionality is enabled. | false | false
Input | includeImageAttachment | Enables the option to attach images as messages. | false | false
Output | sendMessage | Emits an event when the user sends a message as text, image, or GIF. | n/a | n/a
Output | getMessages | Emits an event when the user scrolls up in the chat, allowing retrieval of older messages. | n/a | n/a

CSS Properties

Name | description | default
--- | --- | ---
--width-container | Changes the default width of the container | 500px
--max-width-container | Changes the default max-width of the container | 100%
--font-size-text | Changes the default font-size of the messages | 16px
--font-size-timestamp | Changes the default font-size of the timestamp text | 12px

Example usage